package lc.esp.job.service.example;

import lc.esp.job.ESPJob;
import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import lc.mecha.util.UniversalJob;
import org.bouncycastle.operator.OperatorCreationException;

import java.io.IOException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;

/**
 * @author Alex Leigh
 * @since mk20 (TOKYO PROTOCOL)
 */
public class ExampleJobService extends ESPJob {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(ExampleJobService.class);

    public ExampleJobService() throws CertificateException, KeyStoreException, IOException, NoSuchAlgorithmException,
            OperatorCreationException, CloneNotSupportedException {
        super();
    }

    public static void main(String[] args) throws CertificateException, KeyStoreException, IOException,
            NoSuchAlgorithmException, OperatorCreationException, CloneNotSupportedException {
        UniversalJob.banner(logger, "Example Job Service");
        ExampleJobService me = new ExampleJobService();
        me.start();
    }
}
